Tryton - Issues

 

Issue6939

Title Support dispute on payment
Priority feature Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type feature request Components account_payment_stripe
Assigned To ced Keywords review
Reviews 42841002
View: 42841002

Created on 2017-11-14.18:57:48 by ced, last changed by roundup-bot.

Messages
New changeset 5af9936e7f4e by C├ędric Krier in branch 'default':
Support dispute
http://hg.tryton.org/modules/account_payment_stripe/rev/5af9936e7f4e
review42841002 updated at https://codereview.tryton.org/42841002/#ps60001
review42841002 updated at https://codereview.tryton.org/42841002/#ps40001
review42841002 updated at https://codereview.tryton.org/42841002/#ps20001
review42841002 updated at https://codereview.tryton.org/42841002/#ps1
msg36880 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-11-14.18:57:48
Customer may dispute payment after it succeed. In this case, Stripe creates a dispute: see https://stripe.com/docs/disputes
I think we should support this with updating dispute status on the payment and when the dispute is closed, depending if we win or lose, the payment should be updated and/or failed.
History
Date User Action Args
2018-01-12 13:15:06roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg37592
2017-11-22 16:23:51cedlinkissue6960 superseder
2017-11-22 16:23:21reviewbotsetmessages: + msg37004
2017-11-20 16:15:46reviewbotsetmessages: + msg36956
2017-11-15 11:05:19reviewbotsetmessages: + msg36907
2017-11-14 19:40:33reviewbotsetnosy: + reviewbot
messages: + msg36881
2017-11-14 19:03:54cedsetstatus: in-progress -> testing
reviews: 42841002
keyword: + review
2017-11-14 18:57:48cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)